package de.fhdw.wtf.common.ast.visitor;

import de.fhdw.wtf.common.ast.OperationModifier;

/**
 * Visitor for {@link OperationModifier}.
 */
public interface OperationModifierVisitor {
	
	/**
	 * Handle operations for the type {@link de.fhdw.wtf.common.ast.OperationModifierAbstract}.
	 * 
	 * @param abstract1
	 *            {@link de.fhdw.wtf.common.ast.OperationModifierAbstract}
	 * @return Boolean
	 */
	boolean handle(OperationModifier abstract1);
}
