package de.fhdw.wtf.common.ast.visitor;

import de.fhdw.wtf.common.ast.DatabaseIDNotSetState;
import de.fhdw.wtf.common.ast.DatabaseIDSetState;

/**
 * Return Visitor for {@link de.fhdw.wtf.common.ast.DatabaseIDState}.
 * 
 * @param <X>
 *            ReturnType
 */
public interface DatabaseIDStateVisitorReturn<X> {
	
	/**
	 * Handle-Method.
	 * 
	 * @param a
	 *            {@link DatabaseIDNotSetState}
	 * @return X
	 */
	X handle(DatabaseIDNotSetState a);
	
	/**
	 * Handle-Method.
	 * 
	 * @param a
	 *            {@link DatabaseIDSetState}
	 * @return X
	 */
	X handle(DatabaseIDSetState a);
	
}
